Subject: Re: [lojban] More on lojban programatic semantics: Strong typing and inferencing of types

From: Robin Lee Powell <[email-masked]>
Date: Sun, 21 May 2000 23:06:24 -0400

>la brukcr cusku di'e
>
>>On the other hand, "poi" implies that the characteristic named is an
>>*essential* aspect of the thing named - this is much closer to the
>>meaning of a type in a PL.
>
>I suggested {noi} because you called it an annotation,
>which I took to be some additional information about
>something already known. If you meant it to be a definition,
>then {poi} is better.
>
>>Ehm, I think a namcu is a valid mekso, but I wasn't (yet) talking about
>>type hierarchy - just giving multiple examples. These bridi were meant
>>to be examples of declarations.
>
>Ok. I don't really know what a mekso is. Is {li pa cu mekso}
>a sensible statement?
>
>>My understanding was that naclu (and the other similar gismu) followed a
>>sumti pattern of "x1 is <some kind of number> of value x2". So naclu
>>means that x1 is a rational, whose value is given by x2. So in the
>>example above, I would be saying that "la stokuot." is an *unspecified*
>>rational number. X2 is the value. So you could "initialize" a variable
>>at the same time by including x2.
>
>Interesting, but I'm not sure what goes in your x1.
>Not a value, but the name of a value?

rlpowell@calum> ll saclu 
saclu decimal
x1 (me'o) is the [decimal/binary] equivalent of
fractional x2 (me'o) in base x3 (quantity)

[conversion from fractions to decimal-point based
notation] (cf. namcu, frinu)
rlpowell@calum> ll me\'o 

me'o LI the mex
the mathematical expression (unevaluated); convert
unevaluated mathematical expression to sumti

So the x1 of saclu is a mathematical expression that we're converting from a
fraction. That seems to have nothing to do with variable declaration
to me.

Why not use the mekso variable declaration constructs?

-Robin

-- 
http://www.csclub.uwaterloo.ca/~rlpowell/ BTW, I'm male, honest.
... stripped of our uniqueness as human beings by Darwin, exposed to our
own inadequacies by Freud, ... Power -- "the ability to bring about our
desires" -- is all that we have left. --- Michael Korda, _Power!_